Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mro.util.experimentation
Class ResultPool

    java.lang.Object
      mro.util.experimentation.ResultPool

    public class ResultPool

extends java.lang.Object

Class for storing result info for each directory.

Field Summary
`private java.util.HashMap<java.lang.String,Result>` | `pathResultMap`
`private java.util.HashMap<Result,java.lang.String>` | `resultPathMap`
`private java.util.Vector<Result>` | `resultVector`

Constructor Summary
`ResultPool()`

Method Summary
`void` | `addResult(java.lang.String dir, Measures measures, PropertiesPool pp)`
`Measures` | `getMeasuresForPath(java.lang.String pathName)`
`java.lang.String` | `getPathForResult(Result result)`
`PropertiesPool` | `getPropertiesPoolForPath(java.lang.String pathName)`
`Result` | `getResultForPath(java.lang.String pathName)`
`java.util.Vector<Result>` | `getResultVector()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### resultVector

    private java.util.Vector<Result> resultVector

### pathResultMap

    private java.util.HashMap<java.lang.String,Result> pathResultMap

### resultPathMap

    private java.util.HashMap<Result,java.lang.String> resultPathMap

Constructor Detail

### ResultPool

    public ResultPool()

Method Detail

### addResult

    public void addResult(java.lang.String dir,
                          Measures measures,
                          PropertiesPool pp)

### getMeasuresForPath

    public Measures getMeasuresForPath(java.lang.String pathName)

### getPropertiesPoolForPath

    public PropertiesPool getPropertiesPoolForPath(java.lang.String pathName)

### getResultForPath

    public Result getResultForPath(java.lang.String pathName)

### getPathForResult

    public java.lang.String getPathForResult(Result result)

### getResultVector

    public java.util.Vector<Result> getResultVector()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD